﻿<%@ Page MasterPageFile="~/Layout/Site.master" Language="C#" AutoEventWireup="true"
    CodeBehind="People.aspx.cs" Inherits="WebRole1.People" %>

<asp:Content ID="PeopleContent" runat="server" ContentPlaceHolderID="ContentPlaceHolder1">
    <asp:GridView ID="PeopleList" runat="server" OnRowDeleting="PeopleList_RowDeleting"
        OnSelectedIndexChanging="PeopleList_SelectedIndexChanging" DataKeyNames="id"
        CellPadding="4" ForeColor="#333333" GridLines="None" AutoGenerateColumns="false">
        <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
        <Columns>
            <asp:CommandField ShowSelectButton="true" ShowDeleteButton="true" HeaderText="Actions"
                DeleteText="Delete" SelectText="Edit" />
            <asp:TemplateField HeaderText="">
                <ItemTemplate>
                    <asp:HiddenField ID="id" runat="server" Value='<%# Eval("id") %>' />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:BoundField DataField="fname" HeaderText="First Name" />
            <asp:BoundField DataField="lname" HeaderText="Last Name" />
            <asp:BoundField DataField="phonenumber" HeaderText="Phone Number" />
        </Columns>
        <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
        <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
        <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
        <EditRowStyle BackColor="#999999" />
        <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    </asp:GridView>
    <fieldset>
        <legend>Person</legend>
        <ul class="form">
            <li>
                <asp:HiddenField ID="id" runat="server" />
                <label>
                    First Name:
                </label>
                <asp:TextBox ID="fname" runat="server" />
            </li>
            <li>
                <label>
                    Last Name:
                </label>
                <asp:TextBox ID="lname" runat="server" />
            </li>
            <li>
                <label>
                    Phone Number:
                </label>
                <asp:TextBox ID="phonenumber" runat="server" />
            </li>
            <li>
                <asp:Button ID="save" runat="server" Text="Save" OnClick="Save_Click" />
            </li>
        </ul>
    </fieldset>
</asp:Content>
